
From: Gerrit Huizenga <gh@us.ibm.com>

Patch to delete target file from tc_magic.c.

Signed-Off-By:  Chandra Seetharaman <sekharan@us.ibm.com>
Signed-Off-By:  Gerrit Huizenga <gh@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/rcfs/tc_magic.c   |    6 ------
 include/linux/rcfs.h |    1 -
 2 files changed, 7 deletions(-)

diff -puN fs/rcfs/tc_magic.c~ckrm-delete-target-file-from-tc_magicc fs/rcfs/tc_magic.c
--- 25/fs/rcfs/tc_magic.c~ckrm-delete-target-file-from-tc_magicc	Wed Jul 13 14:44:59 2005
+++ 25-akpm/fs/rcfs/tc_magic.c	Wed Jul 13 14:44:59 2005
@@ -44,12 +44,6 @@ struct rcfs_magf tc_rootdesc[] = {
 	 },
 	/* Rest are root's magic files */
 	{
-	 .name = "target",
-	 .mode = TC_FILE_MODE,
-	 .i_fop = &target_fileops,
-	 .i_op = &rcfs_file_inode_operations,
-	 },
-	{
 	 .name = "members",
 	 .mode = TC_FILE_MODE,
 	 .i_fop = &members_fileops,
diff -puN include/linux/rcfs.h~ckrm-delete-target-file-from-tc_magicc include/linux/rcfs.h
--- 25/include/linux/rcfs.h~ckrm-delete-target-file-from-tc_magicc	Wed Jul 13 14:44:59 2005
+++ 25-akpm/include/linux/rcfs.h	Wed Jul 13 14:44:59 2005
@@ -73,7 +73,6 @@ extern struct inode_operations rcfs_dir_
 extern struct inode_operations rcfs_rootdir_inode_operations;
 extern struct inode_operations rcfs_file_inode_operations;
 
-extern struct file_operations target_fileops;
 extern struct file_operations shares_fileops;
 extern struct file_operations stats_fileops;
 extern struct file_operations config_fileops;
_
